#219 install-progress aborted (dbclient error)

closed-fixed
Matt
Install (14)
5
2012-12-13
2012-01-16
Marcel
No

Hi,

I checked out your latest release and the first issue about the obsolete link ( ID 3462430 ) has been fixed and dropbear will be downloaded automatically. Thanks so far!

But I still got an error about the dbclient. Attached 2 logs again. The first one (make.log) is a summary of the make-process and the 2nd one includes the debug-output of "make install".

The installing process runs into the following error:

cp: cannot stat `/var/files/wget/openqrm-4.9/src/../buildtmp/openqrm-build/initroot/bin/dbclient': Not a directory
Reaping losing child 0x09499fe8 PID 25318
make[1]: *** [install] Error 1
Removing child 0x09499fe8 PID 25318 from chain.
cd: 1: can't cd to ./bin
cd: 1: can't cd to ./sbin
cd: 1: can't cd to ./include
make: *** [install] Error 2
Reaping losing child 0x0a07f528 PID 20682
Removing child 0x0a07f528 PID 20682 from chain.

Now, let's take a look in the directory, where the client should be deployed:

root@mw-ws:/var/files/wget/openqrm-4.9/src# cd /var/files/wget/openqrm-4.9/src/../buildtmp/openqrm-build/initroot/bin/dbclient
bash: cd: /var/files/wget/openqrm-4.9/src/../buildtmp/openqrm-build/initroot/bin/dbclient: Not a directory

further check-results:
root@mw-ws:/var/files/wget/openqrm-4.9/src# ls -l /var/files/wget/openqrm-4.9/src/../buildtmp/openqrm-build/initroot/
total 44
lrwxrwxrwx 1 root root 10 2011-12-01 17:40 bin -> /bin/lsmod
drwxr-xr-x 2 root root 4096 2012-01-16 16:25 dev
drwxr-xr-x 5 root root 4096 2012-01-16 16:25 etc
drwxr-xr-x 5 root root 4096 2012-01-16 16:25 lib
lrwxrwxrwx 1 root root 3 2012-01-16 16:25 lib64 -> lib
drwxr-xr-x 2 root root 4096 2012-01-16 16:25 loopfs
drwxr-xr-x 2 root root 4096 2012-01-16 16:25 mnt
drwxr-xr-x 2 root root 4096 2012-01-16 16:25 old_root
drwxr-xr-x 2 root root 4096 2012-01-16 16:25 proc
drwxr-xr-x 2 root root 4096 2012-01-16 16:25 sys
drwxr-xr-x 2 root root 4096 2012-01-16 16:25 sysroot
drwxr-xr-x 6 root root 4096 2012-01-16 16:25 usr
drwxr-xr-x 6 root root 4096 2012-01-16 16:25 var

I didn't find the reason why or even when he creates the sym-link. grepped through the sources for commands like ln or something without success.. Actually I have no idea why the bin-directory has become a symlink..

Best regards,
Marcel

Discussion

  • Marcel

    Marcel - 2012-01-16

    make log

     
  • Marcel

    Marcel - 2012-01-16

    first part of the debug output from make install

     
  • Marcel

    Marcel - 2012-01-16

    2nd part of the debug output from make install

     
  • Marcel

    Marcel - 2012-01-16

    3rd part of the debug output from make install

     
  • Marcel

    Marcel - 2012-01-16

    4th part of the debug output from make install

     
  • Marcel

    Marcel - 2012-01-16

    5th part of the debug output from make install

     
  • Marcel

    Marcel - 2012-01-16

    I had to split the logfile cause it was larger than the maximum size of attachment files

     
  • Matt

    Matt - 2012-12-13

    This should be fixed with the 5.0 release. Dropbe4ar is made a dependency and does not get compiled any morel.
    Closing this ticket.

    Matt Rechenburg
    Project Manager openQRM

     
  • Matt

    Matt - 2012-12-13
    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks